API RestDatasets
Dernière mise à jour le 20 juillet 2026
AuthorizationBearer <token>
In: header
Path Parameters
dataset_id*Dataset Id
Query Parameters
filter?array<string>|
Filters in format field:eq:value. Must include ALL PK columns and only PK columns.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/datasets/string/rows" \ -H "Content-Type: application/json" \ -d '{ "data": {} }'{}Continuer plus loin
DELETEDelete Rows DELETE
Delete a single row (or rows) from a manual dataset. Requirements: - Dataset must not be linked to a source (manual only). - Filters are mandatory and must include all PK columns with op=eq, and no other columns. Examples: - Single PK: ?filter=id:eq:123 - Composite PK: ?filter=id:eq:123&filter=tenant_id:eq:acme
POSTInsert Row POST
Next Page